summaryrefslogtreecommitdiffstats
path: root/support/dependencies
diff options
context:
space:
mode:
authorYann E. MORIN <yann.morin.1998@free.fr>2017-02-26 23:42:47 +0100
committerPeter Korsgaard <peter@korsgaard.com>2017-02-28 09:40:27 +0100
commit4422eca2d418e2b817b419ff6c4c62f7f4cb7871 (patch)
treecbc1eee504e91b3372090ae9728787586395ef43 /support/dependencies
parent35e02aeb7b493d61bbc3e90903337b4964e0213c (diff)
downloadbuildroot-4422eca2d418e2b817b419ff6c4c62f7f4cb7871.tar.gz
buildroot-4422eca2d418e2b817b419ff6c4c62f7f4cb7871.zip
dependencies/cmake: blacklist cmake 3.7
cmake-3.7 has a bug in how it handles rpath, linking with libraries from the host. Until we completely understand the issue, just blacklist cmake-3.7. The issue has been reported upstream: http://public.kitware.com/pipermail/cmake/2017-February/064970.html Reported-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Jörg Krause <joerg.krause@embedded.rocks> Cc: Ben Boeckel <mathstuf@gmail.com> Cc: Samuel Martin <s.martin49@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'support/dependencies')
-rwxr-xr-xsupport/dependencies/check-host-cmake.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/check-host-cmake.sh b/support/dependencies/check-host-cmake.sh
index 9b63b0648d..84c26c25cd 100755
--- a/support/dependencies/check-host-cmake.sh
+++ b/support/dependencies/check-host-cmake.sh
@@ -6,6 +6,9 @@ version_min="${2}"
major_min="${version_min%.*}"
minor_min="${version_min#*.}"
+# cmake-3.7 incorrectly handles rpath, linking to host libraries
+blacklist_version="3.7"
+
cmake=`which ${candidate}`
if [ ! -x "${cmake}" ]; then
# echo nothing: no suitable cmake found
@@ -27,6 +30,11 @@ version="$(${cmake} --version \
major="${version%.*}"
minor="${version#*.}"
+if [ "${version}" = "${blacklist_version}" ]; then
+ # echo nothing: no suitable cmake found
+ exit 1
+fi
+
if [ ${major} -gt ${major_min} ]; then
echo "${cmake}"
else
OpenPOWER on IntegriCloud